// based on code segments from
// http://pages.cs.wisc.edu/~hasti/cs368/JavaTutorial/NOTES/JavaIO_Scanner.html
import java.io.*;
import java.util.Scanner;  // needed for Scanner

/** A Java program that demonstrates console based input and output. */
public class ScannerFiles {
    // Create a single shared Scanner for keyboard input

    private static Scanner scanner = new Scanner(System.in);

    // Program execution starts here
    public static void main(String[] args) {

        System.out.print("Enter the filename: ");   // Prompt the user for a file name
        String fileName = scanner.nextLine();         // get a file name from the user
        try { // file opening statements must be enclosed in a try block
            File file = new File(fileName);             // create a File object

            if (file.exists()) // check that the file exists
            {                                             // before trying to create a
                // Scanner to read the file
                // Create a Scanner from the file.
                // This statement can cause a FileNotFoundException.
                Scanner inFile = new Scanner(file);

                // For each line in the file, read in the line and display it with the line number
                int lineNum = 0;

                // Use the results of calling the hasNext method to
                // determine if you are at the end of the file before
                // reading the next line of the file.
                while (inFile.hasNext()) {
                    String line = inFile.nextLine();   // read the next line

                    // Output the line read to the screen for the user
                    System.out.println(++lineNum + ": " + line);
                }

                // When we're done reading the file,
                // close the Scanner object attached to the file
                inFile.close();
            } // if
        } catch (IOException e) {
            System.out.println("File input error");
        }

    } //main
} //class

